/*
 * Copyright (c) 2019 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

/**
 * @file
 * @brief Model handler
 */

#ifndef MODEL_HANDLER_H__
#define MODEL_HANDLER_H__

#include <zephyr/bluetooth/mesh.h>
#include "sensor_cli.h"

#ifdef __cplusplus
extern "C" {
#endif

const struct bt_mesh_comp *model_handler_init(void);
void send_message(uint16_t addr, uint8_t *msg);
void recieve_message(struct tranciever_client *chat, uint8_t *msg);

#ifdef __cplusplus
}
#endif

#endif /* MODEL_HANDLER_H__ */
